---@class CraftSim
local CraftSim = select(2, ...)

---@class CraftSim.CONST
CraftSim.CONST = {}

-- One Time Info ------------
CraftSim.CONST.infoBoxSizeX = 500
CraftSim.CONST.infoBoxSizeY = 400
----------------

CraftSim.CONST.CURRENT_BETA_BUILD = "11.0.2"

CraftSim.CONST.FEATURE_TOGGLES = {
}

---@type table<CraftSim.EXPANSION_IDS, table<string, number>>
CraftSim.CONST.PERCENT_MODS = {
    [9] = { -- Dragonflight
        MULTICRAFT = 0.0009,
        RESOURCEFULNESS = 0.00111,
        INGENUITY = 0.000333,
        CRAFTINGSPEED = 0.002,
    },
    [10] = { -- The War Within
        MULTICRAFT = 0.000302,
        RESOURCEFULNESS = 0.00037,
        INGENUITY = 0.000333,
        CRAFTINGSPEED = 0.001114,
    },
}

-- some dummy recipes are not flagged as dummy ..........
CraftSim.CONST.BLIZZARD_DUMMY_RECIPES = {
    371635, -- "Demonstration Item Recipe" part of Alchemy Stone Category for Alchemy
}

CraftSim.CONST.ALCHEMICAL_EXPERIMENTATION_RECIPE_IDS = {
    370746, -- basic phial
    370743, -- basic potion
    370747, -- adv phial
    370745, -- adv potion
    60893,  -- northrend research
}

-- this average comes from 20-40% resources saved on proc with a minimum of 1
-- currently this is just an approximation
CraftSim.CONST.BASE_RESOURCEFULNESS_AVERAGE_SAVE_FACTOR = 0.30
CraftSim.CONST.MULTICRAFT_CONSTANT = 2.5

CraftSim.CONST.DISCORD_INVITE_URL = "https://discord.gg/7vqKMgezXR"
CraftSim.CONST.PAYPAL_ME_URL = "https://www.paypal.com/paypalme/CraftSim"

CraftSim.CONST.TSM_DEFAULT_PRICE_EXPRESSION = "first(DBRecent, DBMinbuyout)"

---@enum CraftSim.EXPORT_MODE
CraftSim.CONST.EXPORT_MODE = {
    NON_WORK_ORDER = 0,
    WORK_ORDER = 1,
    SCAN = 2,
}

---@enum CraftSim.FRAMES
CraftSim.CONST.FRAMES = {
    REAGENT_OPTIMIZATION = "REAGENT_OPTIMIZATION",
    AVERAGE_PROFIT = "AVERAGE_PROFIT",
    AVERAGE_PROFIT_WO = "AVERAGE_PROFIT_WO",
    TOP_GEAR = "TOP_GEAR",
    PRICE_DETAILS = "PRICE_DETAILS",
    EXPLANATIONS = "EXPLANATIONS",
    CRAFTING_DETAILS = "CRAFTING_DETAILS",
    SPEC_INFO = "SPEC_INFO",
    COOLDOWNS = "COOLDOWNS",
    WARNING = "WARNING",
    INFO = "INFO",
    DEBUG = "DEBUG",
    DEBUG_CONTROL = "DEBUG_CONTROL",
    SPEC_SIM = "SPEC_SIM",
    CONTROL_PANEL = "CONTROL_PANEL",
    PROFIT_DETAILS_WORK_ORDER = "PROFIT_DETAILS_WORK_ORDER",
    REAGENT_OPTIMIZATION_WORK_ORDER = "REAGENT_OPTIMIZATION_WORK_ORDER",
    PRICE_DETAILS_WORK_ORDER = "PRICE_DETAILS_WORK_ORDER",
    TOP_GEAR_WORK_ORDER = "TOP_GEAR_WORK_ORDER",
    PRICE_OVERRIDE_WORK_ORDER = "PRICE_OVERRIDE_WORK_ORDER",
    PRICE_OVERRIDE = "PRICE_OVERRIDE",
    RECIPE_SCAN = "RECIPE_SCAN",
    CRAFT_RESULTS = "CRAFT_RESULTS",
    STATISTICS = "STATISTICS",
    STATISTICS_WORKORDER = "STATISTICS_WORKORDER",
    CUSTOMER_HISTORY = "CUSTOMER_HISTORY",
    LIVE_PREVIEW = "LIVE_PREVIEW",
    CRAFTING_DETAILS_WO = "CRAFTING_DETAILS_WO",
    SPEC_SIM_WO = "SPEC_SIM_WO",
    SPEC_INFO_WO = "SPEC_INFO_WO",
    CRAFT_DATA = "CRAFT_DATA",
    COST_OPTIMIZATION = "COST_OPTIMIZATION",
    COST_OPTIMIZATION_WO = "COST_OPTIMIZATION_WO",
    POPUP = "POPUP",
    SUPPORTERS = "SUPPORTERS",
    CRAFT_QUEUE = "CRAFT_QUEUE",
    CRAFT_BUFFS = "CRAFT_BUFFS",
    CRAFT_BUFFS_WORKORDER = "CRAFT_BUFFS_WORKORDER",
    CRAFT_QUEUE_EDIT_RECIPE = "CRAFT_QUEUE_EDIT_RECIPE",
    CONCENTRATION_TRACKER = "CONCENTRATION_TRACKER",
    CONCENTRATION_TRACKER_TOOLTIP_FRAME = "CONCENTRATION_TRACKER_TOOLTIP_FRAME",
}

CraftSim.CONST.MODULES_FRAME_STRATA = "HIGH"

CraftSim.CONST.OLD_BACKDROP_OPTIONS = {
    bgFile = "Interface\\CharacterFrame\\UI-Party-Background",
    borderOptions = {
        edgeFile = "Interface\\PVPFrame\\UI-Character-PVP-Highlight", -- this one is neat
        edgeSize = 16,
        insets = { left = 8, right = 6, top = 8, bottom = 8 },
    }
}
CraftSim.CONST.DEFAULT_BACKDROP_OPTIONS = {
    bgFile = "Interface\\Buttons\\WHITE8X8",
    borderOptions = {
        edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
        edgeSize = 16,
        insets = { left = 3, right = 3, top = 3, bottom = 3 },
    },
    colorR = 0,
    colorG = 0,
    colorB = 0,
    colorA = 1,
}

CraftSim.CONST.BACKDROPS = {
    OPTIONS_CONTENT_FRAME = {
        --bgFile = "Interface\\Buttons\\WHITE8X8",
        borderOptions = {
            edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
            edgeSize = 16,
            insets = { left = 3, right = 3, top = 3, bottom = 3 },
        }
    },
    DEBUG = {
        bgFile = "Interface\\Buttons\\WHITE8X8",
        colorR = 1,
        colorG = 1,
        colorB = 1,
        colorA = 0.5,
    }
}

CraftSim.CONST.FRAME_LIST_SELECTION_COLORS = {
    HOVER_LIGHT_WHITE = { 1, 1, 1, 0.3 },
    SELECTED_LIGHT_WHITE = { 1, 1, 1, 0.5 },
    HOVER_LIGHT_GREEN = { 0, 1, 0, 0.2 },
    SELECTED_LIGHT_GREEN = { 0, 1, 0, 0.4 },
}

---@enum CraftSim.EXPANSION_IDS
CraftSim.CONST.EXPANSION_IDS = {
    VANILLA = 0,
    THE_BURNING_CRUSADE = 1,
    WRATH_OF_THE_LICH_KING = 2,
    CATACLYSM = 3,
    MISTS_OF_PANDARIA = 4,
    WARLORDS_OF_DRAENOR = 5,
    LEGION = 6,
    BATTLE_FOR_AZEROTH = 7,
    SHADOWLANDS = 8,
    DRAGONFLIGHT = 9,
    THE_WAR_WITHIN = 10,
}

---@type table<CraftSim.EXPANSION_IDS, CraftSim.LOCALIZATION_IDS>
CraftSim.CONST.EXPANSION_LOCALIZATION_IDS = {
    [0] = "EXPANSION_VANILLA",
    [1] = "EXPANSION_THE_BURNING_CRUSADE",
    [2] = "EXPANSION_WRATH_OF_THE_LICH_KING",
    [3] = "EXPANSION_CATACLYSM",
    [4] = "EXPANSION_MISTS_OF_PANDARIA",
    [5] = "EXPANSION_WARLORDS_OF_DRAENOR",
    [6] = "EXPANSION_LEGION",
    [7] = "EXPANSION_BATTLE_FOR_AZEROTH",
    [8] = "EXPANSION_SHADOWLANDS",
    [9] = "EXPANSION_DRAGONFLIGHT",
    [10] = "EXPANSION_THE_WAR_WITHIN",
}


--- https://warcraft.wiki.gg/wiki/TradeSkillLineID
---@type table<Enum.Profession, table<CraftSim.EXPANSION_IDS, number>>
CraftSim.CONST.TRADESKILLLINEIDS = {
    [Enum.Profession.Blacksmithing] = { BASE = 164, [0] = 2477, [1] = 2476, [2] = 2475, [3] = 2474, [4] = 2473, [5] = 2472, [6] = 2454, [7] = 2437, [8] = 2751, [9] = 2822, [10] = 2872, },
    [Enum.Profession.Leatherworking] = { BASE = 165, [0] = 2532, [1] = 2531, [2] = 2530, [3] = 2529, [4] = 2528, [5] = 2527, [6] = 2526, [7] = 2525, [8] = 2758, [9] = 2830, [10] = 2880, },
    [Enum.Profession.Alchemy] = { BASE = 171, [0] = 2485, [1] = 2484, [2] = 2483, [3] = 2482, [4] = 2481, [5] = 2480, [6] = 2479, [7] = 2478, [8] = 2750, [9] = 2823, [10] = 2871, },
    [Enum.Profession.Herbalism] = { BASE = 182, [0] = 2556, [1] = 2555, [2] = 2554, [3] = 2553, [4] = 2552, [5] = 2551, [6] = 2550, [7] = 2549, [8] = 2760, [9] = 2832, [10] = 2877, },
    [Enum.Profession.Cooking] = { BASE = 185, [0] = 2548, [1] = 2547, [2] = 2546, [3] = 2545, [4] = 2544, [5] = 2543, [6] = 2542, [7] = 2541, [8] = 2752, [9] = 2824, [10] = 2873, },
    [Enum.Profession.Mining] = { BASE = 186, [0] = 2572, [1] = 2571, [2] = 2570, [3] = 2569, [4] = 2568, [5] = 2567, [6] = 2566, [7] = 2565, [8] = 2761, [9] = 2833, [10] = 2881, },
    [Enum.Profession.Tailoring] = { BASE = 197, [0] = 2540, [1] = 2539, [2] = 2538, [3] = 2537, [4] = 2536, [5] = 2535, [6] = 2534, [7] = 2533, [8] = 2759, [9] = 2831, [10] = 2883, },
    [Enum.Profession.Engineering] = { BASE = 202, [0] = 2506, [1] = 2505, [2] = 2504, [3] = 2503, [4] = 2502, [5] = 2501, [6] = 2500, [7] = 2499, [8] = 2755, [9] = 2827, [10] = 2875, },
    [Enum.Profession.Enchanting] = { BASE = 333, [0] = 2494, [1] = 2493, [2] = 2492, [3] = 2491, [4] = 2489, [5] = 2488, [6] = 2487, [7] = 2486, [8] = 2753, [9] = 2825, [10] = 2874, },
    [Enum.Profession.Fishing] = { BASE = 356, [0] = 2592, [1] = 2591, [2] = 2590, [3] = 2589, [4] = 2588, [5] = 2587, [6] = 2586, [7] = 2585, [8] = 2754, [9] = 2826, [10] = 2876, },
    [Enum.Profession.Skinning] = { BASE = 393, [0] = 2564, [1] = 2563, [2] = 2562, [3] = 2561, [4] = 2560, [5] = 2559, [6] = 2558, [7] = 2557, [8] = 2762, [9] = 2834, [10] = 2882, },
    [Enum.Profession.Jewelcrafting] = { BASE = 755, [0] = 2524, [1] = 2523, [2] = 2522, [3] = 2521, [4] = 2520, [5] = 2519, [6] = 2518, [7] = 2517, [8] = 2757, [9] = 2829, [10] = 2879, },
    [Enum.Profession.Inscription] = { BASE = 773, [0] = 2514, [1] = 2513, [2] = 2512, [3] = 2511, [4] = 2510, [5] = 2509, [6] = 2508, [7] = 2507, [8] = 2756, [9] = 2828, [10] = 2878, }
}

---@type table<Enum.Profession, CraftSim.LOCALIZATION_IDS>
CraftSim.CONST.PROFESSION_LOCALIZATION_IDS = {
    [Enum.Profession.Blacksmithing] = "PROFESSIONS_BLACKSMITHING",
    [Enum.Profession.Leatherworking] = "PROFESSIONS_LEATHERWORKING",
    [Enum.Profession.Alchemy] = "PROFESSIONS_ALCHEMY",
    [Enum.Profession.Herbalism] = "PROFESSIONS_HERBALISM",
    [Enum.Profession.Cooking] = "PROFESSIONS_COOKING",
    [Enum.Profession.Mining] = "PROFESSIONS_MINING",
    [Enum.Profession.Tailoring] = "PROFESSIONS_TAILORING",
    [Enum.Profession.Engineering] = "PROFESSIONS_ENGINEERING",
    [Enum.Profession.Enchanting] = "PROFESSIONS_ENCHANTING",
    [Enum.Profession.Fishing] = "PROFESSIONS_FISHING",
    [Enum.Profession.Skinning] = "PROFESSIONS_SKINNING",
    [Enum.Profession.Jewelcrafting] = "PROFESSIONS_JEWELCRAFTING",
    [Enum.Profession.Inscription] = "PROFESSIONS_INSCRIPTION",
}

CraftSim.CONST.QUEST_PLAN_CATEGORY_IDS = {
    1688, 1522, -- Blacksmithing
    1687, 1525, -- Alchemy
    1693,       -- Leatherworking
    1686,       -- Jewelcrafting
    1690, 1527, -- Enchanting
    1692,       -- Inscription
    1696, 1532, -- Tailoring
    1691, 1528, -- Engineering
    1526,       -- Cooking
}

-- that are not within a quest plan category
CraftSim.CONST.QUEST_RECIPE_IDS = {
    -- Heart in a Bottle
    377984, -- Herbalism
    377989, -- Leatherworking
    377987, -- Mining
    377978, -- Alchemy
    377982, -- Enchanting
    377988, -- Skinning
    377981, -- Blacksmithing
    377915, -- Jewelcrafting
    377983, -- Engineering
    377985, -- Inscription
    377986, -- Tailoring
}

---@enum CraftSim.DEBUG_IDS
CraftSim.CONST.DEBUG_IDS = {
    DB = "DB",
    INIT = "INIT",
    SPECDATA = "SPECDATA",
    ERROR = "ERROR",
    DATAEXPORT = "DATAEXPORT",
    SIMULATION_MODE = "SIMULATION_MODE",
    REAGENT_OPTIMIZATION = "REAGENT_OPTIMIZATION",
    PRICEDATA = "PRICEDATA",
    PROFIT_CALCULATION = "PROFIT_CALCULATION",
    FRAMES = "FRAMES",
    COOLDOWNS = "COOLDOWNS",
    PROFILING = "PROFILING",
    RECIPE_SCAN = "RECIPE_SCAN",
    RECIPE_SCAN_FILTER = "RECIPE_SCAN_FILTER",
    RECIPE_SCAN_SCAN = "RECIPE_SCAN_SCAN",
    CRAFT_RESULTS = "CRAFT_RESULTS",
    PRICE_OVERRIDE = "PRICE_OVERRIDE",
    AVERAGE_PROFIT = "AVERAGE_PROFIT",
    STATISTICS = "STATISTICS",
    CUSTOMER_HISTORY = "CUSTOMER_HISTORY",
    COMM = "COMM",
    UTIL = "UTIL",
    PRICE_DETAILS = "PRICE_DETAILS",
    MEDIA = "MEDIA",
    TOP_GEAR = "TOP_GEAR",
    CRAFT_DATA = "CRAFT_DATA",
    COST_OPTIMIZATION = "COST_OPTIMIZATION",
    PRICE_APIS = "PRICE_APIS",
    CONTROL_PANEL = "CONTROL_PANEL",
    CRAFTQ = "CRAFTQ",
    CRAFTQ_CRAFTING = "CRAFTQ_CRAFTING",
    NEWS = "NEWS",
    CRAFT_DATA_COLLECT = "CRAFT_DATA_COLLECT",
    BUFFDATA = "BUFFDATA",
    CACHE_ITEM_COUNT = "CACHE_ITEM_COUNT",
    SUB_RECIPE_DATA = "SUB_RECIPE_DATA",
    CONCENTRATION = "CONCENTRATION",
    CONCENTRATION_TRACKER = "CONCENTRATION_TRACKER",
}

--- TODO: Move to options? or maybe create Const folder with different const files
---@enum CraftSim.GENERAL_OPTIONS
CraftSim.CONST.GENERAL_OPTIONS = {
    -- LIBS
    GGUI_CONFIG = "GGUI_CONFIG",
    LIB_ICON_DB = "LIB_ICON_DB",
    -- GENERAL
    PRICE_SOURCE_REMINDER_DISABLED = "PRICE_SOURCE_REMINDER_DISABLED",
    NEWS_CHECKSUM = "NEWS_CHECKSUM",
    PRICE_DEBUG = "PRICE_DEBUG",
    PRICE_SOURCE = "PRICE_SOURCE",
    QUALITY_BREAKPOINT_OFFSET = "QUALITY_BREAKPOINT_OFFSET",
    SHOW_PROFIT_PERCENTAGE = "SHOW_PROFIT_PERCENTAGE",
    OPEN_LAST_RECIPE = "OPEN_LAST_RECIPE",
    SHOW_NEWS = "SHOW_NEWS",
    MINIMAP_BUTTON_HIDE = "MINIMAP_BUTTON_HIDE",
    MONEY_FORMAT_USE_TEXTURES = "MONEY_FORMAT_USE_TEXTURES",
    -- TSM
    TSM_PRICE_KEY_MATERIALS = "TSM_PRICE_KEY_MATERIALS",
    TSM_PRICE_KEY_ITEMS = "TSM_PRICE_KEY_ITEMS",

    -- TOP GEAR
    TOP_GEAR_MODE = "TOP_GEAR_MODE",
    TOP_GEAR_AUTO_UPDATE = "TOP_GEAR_AUTO_UPDATE",

    -- MODULE VISIBILITIES
    MODULE_REAGENT_OPTIMIZATION = "MODULE_REAGENT_OPTIMIZATION",
    MODULE_AVERAGE_PROFIT = "MODULE_AVERAGE_PROFIT",
    MODULE_TOP_GEAR = "MODULE_TOP_GEAR",
    MODULE_COST_OVERVIEW = "MODULE_COST_OVERVIEW",
    MODULE_SPEC_INFO = "MODULE_SPEC_INFO",
    MODULE_PRICE_OVERRIDE = "MODULE_PRICE_OVERRIDE",
    MODULE_RECIPE_SCAN = "MODULE_RECIPE_SCAN",
    MODULE_CRAFT_RESULTS = "MODULE_CRAFT_RESULTS",
    MODULE_CUSTOMER_HISTORY = "MODULE_CUSTOMER_HISTORY",
    MODULE_COST_OPTIMIZATION = "MODULE_COST_OPTIMIZATION",
    MODULE_CRAFT_QUEUE = "MODULE_CRAFT_QUEUE",
    MODULE_CRAFT_BUFFS = "MODULE_CRAFT_BUFFS",
    MODULE_COOLDOWNS = "MODULE_COOLDOWNS",
    MODULE_EXPLANATIONS = "MODULE_EXPLANATIONS",
    MODULE_STATISTICS = "MODULE_STATISTICS",

    -- CUSTOMER HISTORY
    CUSTOMER_HISTORY_MAX_ENTRIES_PER_CLIENT = "CUSTOMER_HISTORY_MAX_ENTRIES_PER_CLIENT",
    CUSTOMER_HISTORY_AUTO_PURGE_INTERVAL = "CUSTOMER_HISTORY_AUTO_PURGE_INTERVAL",
    CUSTOMER_HISTORY_AUTO_PURGE_LAST_PURGE = "CUSTOMER_HISTORY_AUTO_PURGE_LAST_PURGE",

    -- RECIPE SCAN
    RECIPESCAN_INCLUDE_SOULBOUND = "RECIPESCAN_INCLUDE_SOULBOUND",
    RECIPESCAN_INCLUDE_GEAR = "RECIPESCAN_INCLUDE_GEAR",
    RECIPESCAN_INCLUDE_NOT_LEARNED = "RECIPESCAN_INCLUDE_NOT_LEARNED",
    RECIPESCAN_ONLY_FAVORITES = "RECIPESCAN_ONLY_FAVORITES",
    RECIPESCAN_OPTIMIZE_PROFESSION_TOOLS = "RECIPESCAN_OPTIMIZE_PROFESSION_TOOLS",
    RECIPESCAN_SCAN_MODE = "RECIPESCAN_SCAN_MODE",
    RECIPESCAN_SORT_MODE = "RECIPESCAN_SORT_MODE",
    RECIPESCAN_FILTERED_EXPANSIONS = "RECIPESCAN_FILTERED_EXPANSIONS",
    RECIPESCAN_IMPORT_ALL_PROFESSIONS = "RECIPESCAN_IMPORT_ALL_PROFESSIONS",
    RECIPESCAN_OPTIMIZE_SUBRECIPES = "RECIPESCAN_OPTIMIZE_SUBRECIPES",
    RECIPESCAN_USE_INSIGHT = "RECIPESCAN_USE_INSIGHT",
    RECIPESCAN_INCLUDED_PROFESSIONS = "RECIPESCAN_INCLUDED_PROFESSIONS",
    RECIPESCAN_ENABLE_CONCENTRATION = "RECIPESCAN_ENABLE_CONCENTRATION",

    -- COOLDOWNS
    COOLDOWNS_FILTERED_EXPANSIONS = "COOLDOWNS_FILTERED_EXPANSIONS",

    -- PROFIT CALCULATION
    PROFIT_CALCULATION_MULTICRAFT_CONSTANT = "PROFIT_CALCULATION_MULTICRAFT_CONSTANT",
    PROFIT_CALCULATION_RESOURCEFULNESS_CONSTANT = "PROFIT_CALCULATION_RESOURCEFULNESS_CONSTANT",

    -- CRAFTING
    CRAFTING_GARBAGE_COLLECTION_ENABLED = "CRAFTING_GARBAGE_COLLECTION_ENABLED",
    CRAFTING_GARBAGE_COLLECTION_CRAFTS = "CRAFTING_GARBAGE_COLLECTION_CRAFTS",

    -- CRAFT_RESULTS
    CRAFT_RESULTS_DISABLE = "CRAFT_RESULTS_DISABLE",

    -- CRAFT QUEUE
    CRAFTQUEUE_GENERAL_RESTOCK_PROFIT_MARGIN_THRESHOLD = "CRAFTQUEUE_GENERAL_RESTOCK_PROFIT_MARGIN_THRESHOLD",
    CRAFTQUEUE_GENERAL_RESTOCK_RESTOCK_AMOUNT = "CRAFTQUEUE_GENERAL_RESTOCK_RESTOCK_AMOUNT",
    CRAFTQUEUE_GENERAL_RESTOCK_SALE_RATE_THRESHOLD = "CRAFTQUEUE_GENERAL_RESTOCK_SALE_RATE_THRESHOLD",
    CRAFTQUEUE_RESTOCK_PER_RECIPE_OPTIONS = "CRAFTQUEUE_RESTOCK_PER_RECIPE_OPTIONS",
    CRAFTQUEUE_SHOPPING_LIST_PER_CHARACTER = "CRAFTQUEUE_SHOPPING_LIST_PER_CHARACTER",
    CRAFTQUEUE_FLASH_TASKBAR_ON_CRAFT_FINISHED = "CRAFTQUEUE_FLASH_TASKBAR_ON_CRAFT_FINISHED",
    CRAFTQUEUE_FIRST_CRAFTS_IGNORE_ACUITY_RECIPES = "CRAFTQUEUE_FIRST_CRAFTS_IGNORE_ACUITY_RECIPES",

    -- COST OPTIMIZATION
    COST_OPTIMIZATION_AUTOMATIC_SUB_RECIPE_OPTIMIZATION = "COST_OPTIMIZATION_AUTOMATIC_SUB_RECIPE_OPTIMIZATION",
    COST_OPTIMIZATION_SUB_RECIPE_MAX_DEPTH = "COST_OPTIMIZATION_SUB_RECIPE_MAX_DEPTH",
    COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_COOLDOWNS = "COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_COOLDOWNS",
    COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_CONCENTRATION = "COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_CONCENTRATION",

    -- DEBUG
    DEBUG_IDS = "DEBUG_IDS",
    DEBUG_VISIBLE = "DEBUG_VISIBLE",
    DEBUG_AUTO_SCROLL = "DEBUG_AUTO_SCROLL",
}
---@type table<CraftSim.GENERAL_OPTIONS, any>
CraftSim.CONST.GENERAL_OPTIONS_DEFAULTS = {
    -- LIBS
    [CraftSim.CONST.GENERAL_OPTIONS.GGUI_CONFIG] = {},
    [CraftSim.CONST.GENERAL_OPTIONS.LIB_ICON_DB] = {},
    -- GENERAL
    [CraftSim.CONST.GENERAL_OPTIONS.PRICE_SOURCE_REMINDER_DISABLED] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.NEWS_CHECKSUM] = nil,
    [CraftSim.CONST.GENERAL_OPTIONS.PRICE_DEBUG] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.PRICE_SOURCE] = nil, -- will be set on init
    [CraftSim.CONST.GENERAL_OPTIONS.QUALITY_BREAKPOINT_OFFSET] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.SHOW_PROFIT_PERCENTAGE] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.OPEN_LAST_RECIPE] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.SHOW_NEWS] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.MINIMAP_BUTTON_HIDE] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MINIMAP_BUTTON_HIDE] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MONEY_FORMAT_USE_TEXTURES] = false,
    -- TSM
    [CraftSim.CONST.GENERAL_OPTIONS.TSM_PRICE_KEY_MATERIALS] = CraftSim.CONST.TSM_DEFAULT_PRICE_EXPRESSION,
    [CraftSim.CONST.GENERAL_OPTIONS.TSM_PRICE_KEY_ITEMS] = CraftSim.CONST.TSM_DEFAULT_PRICE_EXPRESSION,
    -- TOP GEAR
    [CraftSim.CONST.GENERAL_OPTIONS.TOP_GEAR_MODE] = "Top Profit",
    [CraftSim.CONST.GENERAL_OPTIONS.TOP_GEAR_AUTO_UPDATE] = true,
    -- MODULE VISIBILITIES
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_REAGENT_OPTIMIZATION] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_AVERAGE_PROFIT] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_TOP_GEAR] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_COST_OVERVIEW] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_SPEC_INFO] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_PRICE_OVERRIDE] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_RECIPE_SCAN] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_CRAFT_RESULTS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_CUSTOMER_HISTORY] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_COST_OPTIMIZATION] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_CRAFT_QUEUE] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_CRAFT_BUFFS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_COOLDOWNS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_EXPLANATIONS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.MODULE_STATISTICS] = false,

    -- CUSTOMER HISTORY
    [CraftSim.CONST.GENERAL_OPTIONS.CUSTOMER_HISTORY_MAX_ENTRIES_PER_CLIENT] = 200,
    [CraftSim.CONST.GENERAL_OPTIONS.CUSTOMER_HISTORY_AUTO_PURGE_INTERVAL] = 2,
    [CraftSim.CONST.GENERAL_OPTIONS.CUSTOMER_HISTORY_AUTO_PURGE_LAST_PURGE] = nil,

    -- RECIPE SCAN
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_INCLUDE_SOULBOUND] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_INCLUDE_GEAR] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_INCLUDE_NOT_LEARNED] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_ONLY_FAVORITES] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_OPTIMIZE_PROFESSION_TOOLS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_SCAN_MODE] = "OPTIMIZE",
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_SORT_MODE] = "PROFIT",
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_FILTERED_EXPANSIONS] = {
        [CraftSim.CONST.EXPANSION_IDS.THE_WAR_WITHIN] = true,
    },
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_IMPORT_ALL_PROFESSIONS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_OPTIMIZE_SUBRECIPES] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_USE_INSIGHT] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_INCLUDED_PROFESSIONS] = {},
    [CraftSim.CONST.GENERAL_OPTIONS.RECIPESCAN_ENABLE_CONCENTRATION] = true,

    -- COOLDOWNS
    [CraftSim.CONST.GENERAL_OPTIONS.COOLDOWNS_FILTERED_EXPANSIONS] = {
        [CraftSim.CONST.EXPANSION_IDS.THE_WAR_WITHIN] = true,
    },

    -- PROFIT CALCULATION
    [CraftSim.CONST.GENERAL_OPTIONS.PROFIT_CALCULATION_MULTICRAFT_CONSTANT] = CraftSim.CONST.MULTICRAFT_CONSTANT,
    [CraftSim.CONST.GENERAL_OPTIONS.PROFIT_CALCULATION_RESOURCEFULNESS_CONSTANT] = CraftSim.CONST
        .BASE_RESOURCEFULNESS_AVERAGE_SAVE_FACTOR,

    -- CRAFTING
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTING_GARBAGE_COLLECTION_ENABLED] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTING_GARBAGE_COLLECTION_CRAFTS] = 500,

    -- CRAFT RESULTS
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFT_RESULTS_DISABLE] = false,

    -- CRAFT QUEUE
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_GENERAL_RESTOCK_PROFIT_MARGIN_THRESHOLD] = 0,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_GENERAL_RESTOCK_RESTOCK_AMOUNT] = 1,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_GENERAL_RESTOCK_SALE_RATE_THRESHOLD] = 0,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_RESTOCK_PER_RECIPE_OPTIONS] = {},
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_SHOPPING_LIST_PER_CHARACTER] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_FLASH_TASKBAR_ON_CRAFT_FINISHED] = true,
    [CraftSim.CONST.GENERAL_OPTIONS.CRAFTQUEUE_FIRST_CRAFTS_IGNORE_ACUITY_RECIPES] = true,

    -- COST OPTIMIZATION
    [CraftSim.CONST.GENERAL_OPTIONS.COST_OPTIMIZATION_AUTOMATIC_SUB_RECIPE_OPTIMIZATION] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.COST_OPTIMIZATION_SUB_RECIPE_MAX_DEPTH] = 1,
    [CraftSim.CONST.GENERAL_OPTIONS.COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_COOLDOWNS] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.COST_OPTIMIZATION_SUB_RECIPE_INCLUDE_CONCENTRATION] = false,

    -- DEBUG
    [CraftSim.CONST.GENERAL_OPTIONS.DEBUG_IDS] = {},
    [CraftSim.CONST.GENERAL_OPTIONS.DEBUG_VISIBLE] = false,
    [CraftSim.CONST.GENERAL_OPTIONS.DEBUG_AUTO_SCROLL] = true,
}

CraftSim.CONST.ERROR = {
    NO_PRICE_DATA = 0,
    NO_RECIPE_DATA = 1
}

--> used in GUTIL now
-- if more needed, add https://wowpedia.fandom.com/wiki/LE_ITEM_BIND
CraftSim.CONST.BINDTYPES = {
    SOULBOUND = 1
}

CraftSim.CONST.PROFESSIONTOOL_INV_TYPES = {
    TOOL = "INVTYPE_PROFESSION_TOOL",
    GEAR = "INVTYPE_PROFESSION_GEAR"
}

-- for isGear initialization in recipeData
CraftSim.CONST.INVENTORY_TYPES_NON_GEAR = {
    "INVTYPE_NON_EQUIP_IGNORE",
    "INVTYPE_NON_EQUIP",
    "INVTYPE_BAG",
    "INVTYPE_AMMO",
    "INVTYPE_QUIVER",
    "INVTYPE_RELIC",
    "INVTYPE_EQUIPABLESPELL_OFFENSIVE",
    "INVTYPE_EQUIPABLESPELL_UTILITY",
    "INVTYPE_EQUIPABLESPELL_DEFENSIVE",
    "INVTYPE_EQUIPABLESPELL_WEAPON",
}

---@enum CraftSim.ItemEquipLocation
CraftSim.CONST.ITEM_EQUIP_LOCATIONS = {
    INVTYPE_NON_EQUIP = "INVTYPE_NON_EQUIP",
    INVTYPE_HEAD = "INVTYPE_HEAD",
    INVTYPE_NECK = "INVTYPE_NECK",
    INVTYPE_SHOULDER = "INVTYPE_SHOULDER",
    INVTYPE_BODY = "INVTYPE_BODY",
    INVTYPE_CHEST = "INVTYPE_CHEST",
    INVTYPE_WAIST = "INVTYPE_WAIST",
    INVTYPE_LEGS = "INVTYPE_LEGS",
    INVTYPE_FEET = "INVTYPE_FEET",
    INVTYPE_WRIST = "INVTYPE_WRIST",
    INVTYPE_HAND = "INVTYPE_HAND",
    INVTYPE_FINGER = "INVTYPE_FINGER",
    INVTYPE_TRINKET = "INVTYPE_TRINKET",
    INVTYPE_WEAPON = "INVTYPE_WEAPON",
    INVTYPE_SHIELD = "INVTYPE_SHIELD",
    INVTYPE_RANGED = "INVTYPE_RANGED",
    INVTYPE_CLOAK = "INVTYPE_CLOAK",
    INVTYPE_2HWEAPON = "INVTYPE_2HWEAPON",
    INVTYPE_BAG = "INVTYPE_BAG",
    INVTYPE_TABARD = "INVTYPE_TABARD",
    INVTYPE_ROBE = "INVTYPE_ROBE",
    INVTYPE_WEAPONMAINHAND = "INVTYPE_WEAPONMAINHAND",
    INVTYPE_WEAPONOFFHAND = "INVTYPE_WEAPONOFFHAND",
    INVTYPE_HOLDABLE = "INVTYPE_HOLDABLE",
    INVTYPE_AMMO = "INVTYPE_AMMO",
    INVTYPE_THROWN = "INVTYPE_THROWN",
    INVTYPE_RANGEDRIGHT = "INVTYPE_RANGEDRIGHT",
    INVTYPE_QUIVER = "INVTYPE_QUIVER",
    INVTYPE_RELIC = "INVTYPE_RELIC",
    INVTYPE_PROFESSION_TOOL = "INVTYPE_PROFESSION_TOOL",
    INVTYPE_PROFESSION_GEAR = "INVTYPE_PROFESSION_GEAR",
    INVTYPE_EQUIPABLESPELL_OFFENSIVE = "INVTYPE_EQUIPABLESPELL_OFFENSIVE",
    INVTYPE_EQUIPABLESPELL_UTILITY = "INVTYPE_EQUIPABLESPELL_UTILITY",
    INVTYPE_EQUIPABLESPELL_DEFENSIVE = "INVTYPE_EQUIPABLESPELL_DEFENSIVE",
    INVTYPE_EQUIPABLESPELL_WEAPON = "INVTYPE_EQUIPABLESPELL_WEAPON",
}

CraftSim.CONST.STAT_MAP = {
    ITEM_MOD_RESOURCEFULNESS_SHORT = "resourcefulness",
    ITEM_MOD_MULTICRAFT_SHORT = "multicraft",
    ITEM_MOD_CRAFTING_SPEED_SHORT = "craftingspeed",
    ITEM_MOD_INGENUITY_SHORT = "ingenuity",
    CRAFTING_DETAILS_RECIPE_DIFFICULTY = "recipedifficulty",
    CRAFTING_DETAILS_SKILL = "skill",
    CRAFTING_DETAILS_MULTICRAFT = "multicraft",
    CRAFTING_DETAILS_RESOURCEFULNESS = "resourcefulness",
    CRAFTING_DETAILS_INGENUITY = "ingenuity",
}

CraftSim.CONST.EMPTY_SLOT_LINK = "empty"
CraftSim.CONST.EMPTY_SLOT_TEXTURE = "Interface\\containerframe\\bagsitemslot2x"

CraftSim.CONST.SUPPORTED_PRICE_API_ADDONS = { "TradeSkillMaster", "Auctionator", "RECrystallize", "OribosExchange" }

CraftSim.CONST.REAGENT_TYPE = {
    OPTIONAL = 0,
    REQUIRED = 1,
    FINISHING_REAGENT = 2
}

CraftSim.CONST.AUCTION_HOUSE_CUT = 0.95

CraftSim.CONST.ENCHANTING_VELLUM_ID = 38682

---@enum CraftSim.BuffID
CraftSim.CONST.BUFF_IDS = {
    --- DF
    -- all professions
    PHIAL_OF_QUICK_HANDS = 393665,
    PHIAL_OF_QUICK_HANDS_SPELL_Q1 = 381264,
    PHIAL_OF_QUICK_HANDS_SPELL_Q2 = 393689,
    PHIAL_OF_QUICK_HANDS_SPELL_Q3 = 393692,

    SAGACIOUS_INCENSE = 371234,

    -- cooking
    CHEFS_HAT = 67556,

    -- enchanting
    ELEMENTAL_SHATTER_AIR = 392761,
    ELEMENTAL_SHATTER_FIRE = 392819,
    ELEMENTAL_SHATTER_EARTH = 392812,
    ELEMENTAL_SHATTER_FROST = 392820,
    ELEMENTAL_SHATTER_ORDER = 392821,

    -- alchemy
    ALCHEMICALLY_INSPIRED = 382093,

    --- TWW

    -- all professions
    PHIAL_OF_BOUNTIFUL_SEASONS = 432286,
    PHIAL_OF_AMBIDEXTERITY = 432304,
    PHIAL_OF_CONCENTRATED_INGENUITY = 432306,
    WEAVERS_TUTELAGE = 442981,

    -- Blacksmithing
    EVERBURNING_IGNITION = 453734,

    -- Enchanting
    SHATTERING_ESSENCE = 445798,

    -- Alchemy
    POTION_SPILL_OVER = 433187,
    FLASK_SPILL_OVER = 433188,
    PHIAL_SPILL_OVER = 433230,

    -- Engineering
    INVENTORS_GUILE = 452519,

    -- Inscription
    IMPROVED_CIPHERS = 454547,
    IMPROVED_MILLING = 454548,
    IMPROVED_INKS = 454549,
    IMPROVED_CONTRACTS = 454550,
    IMPROVED_MISSIVES = 454551,
    IMPROVED_VANTUS = 454552,
}

CraftSim.CONST.LOCALES = {
    EN = "enUS",
    DE = "deDE",
    IT = "itIT",
    RU = "ruRU",
    PT = "ptBR",
    ES = "esES",
    FR = "frFR",
    MX = "esMX",
    KO = "koKR",
    TW = "zhTW",
    CN = "zhCN",
}

---@enum CraftSim.LOCALIZATION_IDS
CraftSim.CONST.TEXT = {
    DF_ALCHEMY_TRANSMUTATIONS = "DF_ALCHEMY_TRANSMUTATIONS",
    EXPANSION_VANILLA = "EXPANSION_VANILLA",
    EXPANSION_THE_BURNING_CRUSADE = "EXPANSION_THE_BURNING_CRUSADE",
    EXPANSION_WRATH_OF_THE_LICH_KING = "EXPANSION_WRATH_OF_THE_LICH_KING",
    EXPANSION_CATACLYSM = "EXPANSION_CATACLYSM",
    EXPANSION_MISTS_OF_PANDARIA = "EXPANSION_MISTS_OF_PANDARIA",
    EXPANSION_WARLORDS_OF_DRAENOR = "EXPANSION_WARLORDS_OF_DRAENOR",
    EXPANSION_LEGION = "EXPANSION_LEGION",
    EXPANSION_BATTLE_FOR_AZEROTH = "EXPANSION_BATTLE_FOR_AZEROTH",
    EXPANSION_SHADOWLANDS = "EXPANSION_SHADOWLANDS",
    EXPANSION_DRAGONFLIGHT = "EXPANSION_DRAGONFLIGHT",
    EXPANSION_THE_WAR_WITHIN = "EXPANSION_THE_WAR_WITHIN",
    PROFESSIONS_BLACKSMITHING = "PROFESSIONS_BLACKSMITHING",
    PROFESSIONS_LEATHERWORKING = "PROFESSIONS_LEATHERWORKING",
    PROFESSIONS_ALCHEMY = "PROFESSIONS_ALCHEMY",
    PROFESSIONS_HERBALISM = "PROFESSIONS_HERBALISM",
    PROFESSIONS_COOKING = "PROFESSIONS_COOKING",
    PROFESSIONS_MINING = "PROFESSIONS_MINING",
    PROFESSIONS_TAILORING = "PROFESSIONS_TAILORING",
    PROFESSIONS_ENGINEERING = "PROFESSIONS_ENGINEERING",
    PROFESSIONS_ENCHANTING = "PROFESSIONS_ENCHANTING",
    PROFESSIONS_FISHING = "PROFESSIONS_FISHING",
    PROFESSIONS_SKINNING = "PROFESSIONS_SKINNING",
    PROFESSIONS_JEWELCRAFTING = "PROFESSIONS_JEWELCRAFTING",
    PROFESSIONS_INSCRIPTION = "PROFESSIONS_INSCRIPTION",
    RESOURCEFULNESS_EXPLANATION_TOOLTIP = 0,
    RECIPE_DIFFICULTY_LABEL = 9,
    MULTICRAFT_LABEL = 11,
    RESOURCEFULNESS_LABEL = 12,
    CONCENTRATION_LABEL = "CONCENTRATION_LABEL",
    RECIPE_DIFFICULTY_EXPLANATION_TOOLTIP = 13,
    MULTICRAFT_EXPLANATION_TOOLTIP = 15,
    REAGENTSKILL_EXPLANATION_TOOLTIP = 17,

    -- required stuff
    STAT_MULTICRAFT = 19,
    STAT_RESOURCEFULNESS = 20,
    STAT_INGENUITY = "STAT_INGENUITY",
    STAT_CRAFTINGSPEED = 21,
    EQUIP_MATCH_STRING = 22,
    ENCHANTED_MATCH_STRING = 24,
    --

    -- optional:
    STAT_SKILL = 25,
    STAT_MULTICRAFT_BONUS = 26,
    STAT_RESOURCEFULNESS_BONUS = 27,
    STAT_INGENUITY_BONUS = "STAT_INGENUITY_BONUS",
    STAT_INGENUITY_LESS_CONCENTRATION = "STAT_INGENUITY_LESS_CONCENTRATION",
    STAT_PHIAL_EXPERIMENTATION = 28,
    STAT_POTION_EXPERIMENTATION = 29,
    STAT_CRAFTINGSPEED_BONUS = 30,

    REAGENTFACTOR_EXPLANATION_TOOLTIP = 34,

    RESOURCEFULNESS_BONUS_LABEL = 35,
    MATERIAL_QUALITY_BONUS_LABEL = 36,
    MATERIAL_QUALITY_MAXIMUM_LABEL = 37,
    EXPECTED_QUALITY_LABEL = 38,
    NEXT_QUALITY_LABEL = 39,
    MISSING_SKILL_LABEL = 40,
    SKILL_LABEL = 42,
    MULTICRAFT_BONUS_LABEL = 43,
    STATISTICS_CDF_EXPLANATION = 49,

    POPUP_NO_PRICE_SOURCE_SYSTEM = 60,
    POPUP_NO_PRICE_SOURCE_TITLE = 61,
    POPUP_NO_PRICE_SOURCE_WARNING = 62,
    POPUP_NO_PRICE_SOURCE_WARNING_SUPPRESS = 63,

    SIMULATION_MODE_NONE = 64,
    SIMULATION_MODE_LABEL = 65,
    SIMULATION_MODE_TITLE = 66,
    SIMULATION_MODE_TOOLTIP = 67,
    SIMULATION_MODE_OPTIONAL = 68,
    SIMULATION_MODE_FINISHING = 69,

    OPTIONS_TITLE = 70,
    OPTIONS_GENERAL_TAB = 71,
    OPTIONS_GENERAL_PRICE_SOURCE = 72,
    OPTIONS_GENERAL_CURRENT_PRICE_SOURCE = 73,
    OPTIONS_GENERAL_NO_PRICE_SOURCE = 74,
    OPTIONS_GENERAL_SHOW_PROFIT = 75,
    OPTIONS_GENERAL_SHOW_PROFIT_TOOLTIP = 76,
    OPTIONS_GENERAL_REMEMBER_LAST_RECIPE = 77,
    OPTIONS_GENERAL_REMEMBER_LAST_RECIPE_TOOLTIP = 78,
    OPTIONS_GENERAL_DETAILED_TOOLTIP = 79,
    OPTIONS_GENERAL_DETAILED_TOOLTIP_TOOLTIP = 80,
    OPTIONS_GENERAL_SUPPORTED_PRICE_SOURCES = 81,
    OPTIONS_PERFORMANCE_RAM = "OPTIONS_PERFORMANCE_RAM",
    OPTIONS_PERFORMANCE_RAM_TOOLTIP = "OPTIONS_PERFORMANCE_RAM_TOOLTIP",
    OPTIONS_MODULES_TAB = 84,
    OPTIONS_PROFIT_CALCULATION_TAB = 85,
    OPTIONS_CRAFTING_TAB = 86,
    OPTIONS_TSM_RESET = 87,
    OPTIONS_TSM_INVALID_EXPRESSION = 88,
    OPTIONS_TSM_VALID_EXPRESSION = 89,
    OPTIONS_MODULES_MATERIALS = 91,
    OPTIONS_MODULES_AVERAGE_PROFIT = 92,
    OPTIONS_MODULES_TOP_GEAR = 93,
    OPTIONS_MODULES_COST_OVERVIEW = 94,
    OPTIONS_MODULES_SPECIALIZATION_INFO = 95,
    OPTIONS_MODULES_CUSTOMER_HISTORY_SIZE = 96,
    OPTIONS_PROFIT_CALCULATION_OFFSET = "OPTIONS_PROFIT_CALCULATION_OFFSET",
    OPTIONS_PROFIT_CALCULATION_OFFSET_TOOLTIP = "OPTIONS_PROFIT_CALCULATION_OFFSET_TOOLTIP",
    OPTIONS_PROFIT_CALCULATION_MULTICRAFT_CONSTANT = 99,
    OPTIONS_PROFIT_CALCULATION_MULTICRAFT_CONSTANT_EXPLANATION = 100,
    OPTIONS_PROFIT_CALCULATION_RESOURCEFULNESS_CONSTANT = 101,
    OPTIONS_PROFIT_CALCULATION_RESOURCEFULNESS_CONSTANT_EXPLANATION = 102,
    OPTIONS_GENERAL_SHOW_NEWS_CHECKBOX = "OPTIONS_GENERAL_SHOW_NEWS_CHECKBOX",
    OPTIONS_GENERAL_SHOW_NEWS_CHECKBOX_TOOLTIP = "OPTIONS_GENERAL_SHOW_NEWS_CHECKBOX_TOOLTIP",
    OPTIONS_GENERAL_HIDE_MINIMAP_BUTTON_CHECKBOX = "OPTIONS_GENERAL_HIDE_MINIMAP_BUTTON_CHECKBOX",
    OPTIONS_GENERAL_HIDE_MINIMAP_BUTTON_TOOLTIP = "OPTIONS_GENERAL_HIDE_MINIMAP_BUTTON_TOOLTIP",

    CONTROL_PANEL_MODULES_TOP_GEAR_LABEL = 150,
    CONTROL_PANEL_MODULES_TOP_GEAR_TOOLTIP = 151,
    CONTROL_PANEL_MODULES_CRAFT_QUEUE_LABEL = "CONTROL_PANEL_MODULES_CRAFT_QUEUE_LABEL",
    CONTROL_PANEL_MODULES_CRAFT_QUEUE_TOOLTIP = "CONTROL_PANEL_MODULES_CRAFT_QUEUE_TOOLTIP",
    CONTROL_PANEL_MODULES_CRAFT_BUFFS_LABEL = "CONTROL_PANEL_MODULES_CRAFT_BUFFS_LABEL",
    CONTROL_PANEL_MODULES_CRAFT_BUFFS_TOOLTIP = "CONTROL_PANEL_MODULES_CRAFT_BUFFS_TOOLTIP",
    CONTROL_PANEL_MODULES_COST_OVERVIEW_LABEL = 152,
    CONTROL_PANEL_MODULES_COST_OVERVIEW_TOOLTIP = 153,
    CONTROL_PANEL_MODULES_AVERAGE_PROFIT_LABEL = 154,
    CONTROL_PANEL_MODULES_AVERAGE_PROFIT_TOOLTIP = 155,
    CONTROL_PANEL_MODULES_REAGENT_OPTIMIZATION_LABEL = 156,
    CONTROL_PANEL_MODULES_REAGENT_OPTIMIZATION_TOOLTIP = 157,
    CONTROL_PANEL_MODULES_PRICE_OVERRIDES_LABEL = 158,
    CONTROL_PANEL_MODULES_PRICE_OVERRIDES_TOOLTIP = 159,
    CONTROL_PANEL_MODULES_CRAFT_DATA_LABEL = 160,
    CONTROL_PANEL_MODULES_CRAFT_DATA_TOOLTIP = 161,
    CONTROL_PANEL_MODULES_SPECIALIZATION_INFO_LABEL = 162,
    CONTROL_PANEL_MODULES_SPECIALIZATION_INFO_TOOLTIP = 163,
    CONTROL_PANEL_MODULES_CRAFT_RESULTS_LABEL = 164,
    CONTROL_PANEL_MODULES_CRAFT_RESULTS_TOOLTIP = 165,
    CONTROL_PANEL_MODULES_COST_OPTIMIZATION_LABEL = 166,
    CONTROL_PANEL_MODULES_COST_OPTIMIZATION_TOOLTIP = 167,
    CONTROL_PANEL_MODULES_RECIPE_SCAN_LABEL = 168,
    CONTROL_PANEL_MODULES_RECIPE_SCAN_TOOLTIP = 169,
    CONTROL_PANEL_RESET_FRAMES = 172,
    CONTROL_PANEL_OPTIONS = 173,
    CONTROL_PANEL_NEWS = 174,
    CONTROL_PANEL_FORGEFINDER_EXPORT = 175,
    CONTROL_PANEL_FORGEFINDER_EXPORTING = 176,
    CONTROL_PANEL_EXPORT_EXPLANATION = 177,
    CONTROL_PANEL_EASYCRAFT_EXPORT = "CONTROL_PANEL_EASYCRAFT_EXPORT",
    CONTROL_PANEL_EASYCRAFT_EXPORTING = "CONTROL_PANEL_EASYCRAFT_EXPORTING",
    CONTROL_PANEL_EASYCRAFT_EXPORT_NO_RECIPE_FOUND = "CONTROL_PANEL_EASYCRAFT_EXPORT_NO_RECIPE_FOUND",
    CONTROL_PANEL_DEBUG = 178,
    CONTROL_PANEL_TITLE = 179,
    CONTROL_PANEL_MODULES_CUSTOMER_HISTORY_LABEL = 180,
    CONTROL_PANEL_MODULES_CUSTOMER_HISTORY_TOOLTIP = 181,
    CONTROL_PANEL_SUPPORTERS_BUTTON = "ControlPanel_1",
    CONTROL_PANEL_MODULES_COOLDOWNS_LABEL = "CONTROL_PANEL_MODULES_COOLDOWNS_LABEL",
    CONTROL_PANEL_MODULES_COOLDOWNS_TOOLTIP = "CONTROL_PANEL_MODULES_COOLDOWNS_TOOLTIP",
    CONTROL_PANEL_MODULES_EXPLANATIONS_LABEL = "CONTROL_PANEL_MODULES_EXPLANATIONS_LABEL",
    CONTROL_PANEL_MODULES_EXPLANATIONS_TOOLTIP = "CONTROL_PANEL_MODULES_EXPLANATIONS_TOOLTIP",
    CONTROL_PANEL_MODULES_STATISTICS_LABEL = "CONTROL_PANEL_MODULES_STATISTICS_LABEL",
    CONTROL_PANEL_MODULES_STATISTICS_TOOLTIP = "CONTROL_PANEL_MODULES_STATISTICS_TOOLTIP",

    SPEC_INFO_TITLE = 200,
    SPEC_INFO_SIMULATE_KNOWLEDGE_DISTRIBUTION = 201,
    SPEC_INFO_NODE_TOOLTIP = 202,
    SPEC_INFO_WORK_IN_PROGRESS = 203,

    CRAFT_RESULTS_TITLE = 250,
    CRAFT_RESULTS_LOG = 251,
    CRAFT_RESULTS_LOG_1 = 252,
    CRAFT_RESULTS_LOG_2 = 253,
    CRAFT_RESULTS_LOG_3 = 254,
    CRAFT_RESULTS_LOG_4 = 255,
    CRAFT_RESULTS_LOG_5 = 256,
    CRAFT_RESULTS_CRAFTED_ITEMS = 257,
    CRAFT_RESULTS_SESSION_PROFIT = 258,
    CRAFT_RESULTS_RESET_DATA = 259,
    CRAFT_RESULTS_EXPORT_JSON = 260,
    CRAFT_RESULTS_RECIPE_STATISTICS = 261,
    CRAFT_RESULTS_NOTHING = 262,
    CRAFT_RESULTS_STATISTICS_1 = 263,
    CRAFT_RESULTS_STATISTICS_2 = 264,
    CRAFT_RESULTS_STATISTICS_3 = 265,
    CRAFT_RESULTS_STATISTICS_4 = 266,
    CRAFT_RESULTS_STATISTICS_5 = 267,
    CRAFT_RESULTS_STATISTICS_6 = 268,
    CRAFT_RESULTS_STATISTICS_7 = 269,
    CRAFT_RESULTS_STATISTICS_8 = 270,
    CRAFT_RESULTS_STATISTICS_9 = 271,
    CRAFT_RESULTS_STATISTICS_10 = 272,
    CRAFT_RESULTS_STATISTICS_11 = 273,
    CRAFT_RESULTS_SAVED_REAGENTS = 274,
    CRAFT_RESULTS_DISABLE_CHECKBOX = "CRAFTRESULTS_DISABLE_CHECKBOX",
    CRAFT_RESULTS_DISABLE_CHECKBOX_TOOLTIP = "CRAFTRESULTS_DISABLE_CHECKBOX_TOOLTIP",

    REAGENT_OPTIMIZATION_TITLE = 300,
    MATERIALS_REACHABLE_QUALITY = 303,
    MATERIALS_MISSING = 304,
    MATERIALS_AVAILABLE = 305,
    MATERIALS_CHEAPER = 306,
    MATERIALS_BEST_COMBINATION = 307,
    MATERIALS_NO_COMBINATION = 308,
    MATERIALS_ASSIGN = 309,

    STAT_WEIGHTS_TITLE = 350,
    EXPLANATIONS_TITLE = 351,
    STAT_WEIGHTS_SHOW_EXPLANATION_BUTTON = 352,
    STAT_WEIGHTS_HIDE_EXPLANATION_BUTTON = 353,
    STAT_WEIGHTS_SHOW_STATISTICS_BUTTON = 354,
    STAT_WEIGHTS_HIDE_STATISTICS_BUTTON = 355,
    STAT_WEIGHTS_PROFIT_CRAFT = 356,
    EXPLANATIONS_BASIC_PROFIT_TAB = 357,
    EXPLANATIONS_PROFIT_CALCULATION_EXPLANATION = 359,

    COST_OPTIMIZATION_TITLE = 400,
    COST_OPTIMIZATION_EXPLANATION = 401,
    COST_OPTIMIZATION_CRAFTING_COSTS = 402,
    COST_OPTIMIZATION_ITEM_HEADER = 403,
    COST_OPTIMIZATION_AH_PRICE_HEADER = 404,
    COST_OPTIMIZATION_OVERRIDE_HEADER = 405,
    COST_OPTIMIZATION_CRAFTING_HEADER = 406,
    COST_OPTIMIZATION_USED_SOURCE = 407,

    CRAFT_DATA_TITLE = 450,
    CRAFT_DATA_EXPLANATION = 451,
    CRAFT_DATA_RECIPE_ITEMS = 452,
    CRAFT_DATA_DELETE_ALL = 453,
    CRAFT_DATA_DELETE_RECIPE = 454,
    CRAFT_DATA_CRAFTER = 455,
    CRAFT_DATA_EXPECTED_CRAFTS = 456,
    CRAFT_DATA_EXPECTED_CRAFTS_EXPLANATION = 457,
    CRAFT_DATA_CRAFTING_CHANCE = 458,
    CRAFT_DATA_UPGRADE_CHANCE_EXPLANATION = 459,
    CRAFT_DATA_EXPECTED_COSTS = 460,
    CRAFT_DATA_EXPECTED_COSTS_EXPLANATION = 461,
    CRAFT_DATA_MINIMUM_COST = 462,
    CRAFT_DATA_SAVE = 463,
    CRAFT_DATA_UPDATE = 464,
    CRAFT_DATA_UNREACHABLE = 465,
    CRAFT_DATA_DELETE = 466,
    CRAFT_DATA_SEND = 467,
    CRAFT_DATA_SAVED_MATERIALS = 468,
    CRAFT_DATA_NO_DATA = 469,
    CRAFT_DATA_OPTIONAL_MATERIALS = 470,
    CRAFT_DATA_ITEM_HEADER = 471,
    CRAFT_DATA_EXPECTED_COST_HEADER = 473,
    CRAFT_DATA_CHANCE_HEADER = 474,
    CRAFT_DATA_OVERRIDE_EXPLANATION = 475,

    STATISTICS_TITLE = 500,
    STATISTICS_EXPECTED_PROFIT = 501,
    STATISTICS_CHANCE_OF = 502,
    STATISTICS_PROFIT = 503,
    STATISTICS_AFTER = 504,
    STATISTICS_CRAFTS = 505,
    STATISTICS_QUALITY_HEADER = 506,
    STATISTICS_CHANCE_HEADER = "STATISTICS_CHANCE_HEADER",
    STATISTICS_CHANCE_MIN_HEADER = "STATISTICS_CHANCE_MIN_HEADER",
    STATISTICS_EXPECTED_CRAFTS_HEADER = 508,
    STATISTICS_MULTICRAFT_HEADER = 510,
    STATISTICS_RESOURCEFULNESS_HEADER = 511,
    STATISTICS_HSV_NEXT = 512,
    STATISTICS_HSV_SKIP = 513,
    STATISTICS_EXPECTED_PROFIT_HEADER = 514,
    STATISTICS_EXPECTED_COSTS_HEADER = 'Statistics_ExpectedCostsHeader',
    STATISTICS_EXPECTED_COSTS_WITH_RETURN_HEADER = 'Statistics_ExpectedCostsWithReturnHeader',
    STATISTICS_EXPECTED_CRAFTS_MIN_HEADER = 'STATISTICS_EXPECTED_CRAFTS_MIN_HEADER',
    STATISTICS_EXPECTED_COSTS_MIN_HEADER = 'STATISTICS_EXPECTED_COSTS_MIN_HEADER',
    STATISTICS_EXPECTED_COSTS_MIN_WITH_RETURN_HEADER = 'STATISTICS_EXPECTED_COSTS_MIN_WITH_RETURN_HEADER',
    PROBABILITY_TABLE_TITLE = 515,

    COST_OVERVIEW_TITLE = 600,
    PRICE_DETAILS_INV_AH = 601,
    PRICE_DETAILS_ITEM = 602,
    PRICE_DETAILS_PRICE_ITEM = 603,
    PRICE_DETAILS_PROFIT_ITEM = 604,

    PRICE_OVERRIDE_TITLE = 650,
    PRICE_OVERRIDE_REQUIRED_REAGENTS = 651,
    PRICE_OVERRIDE_OPTIONAL_REAGENTS = 652,
    PRICE_OVERRIDE_FINISHING_REAGENTS = 653,
    PRICE_OVERRIDE_RESULT_ITEMS = 654,
    PRICE_OVERRIDE_ACTIVE_OVERRIDES = 655,
    PRICE_OVERRIDE_ACTIVE_OVERRIDES_TOOLTIP = 656,
    PRICE_OVERRIDE_CLEAR_ALL = 657,
    PRICE_OVERRIDE_SAVE = 658,
    PRICE_OVERRIDE_SAVED = 659,
    PRICE_OVERRIDE_REMOVE = 660,

    RECIPE_SCAN_TITLE = 700,
    RECIPE_SCAN_MODE = 701,
    RECIPE_SCAN_SORT_MODE = "RECIPE_SCAN_SORT_MODE",
    RECIPE_SCAN_SCAN_RECIPIES = 702,
    RECIPE_SCAN_SCAN_CANCEL = "RECIPESCAN_SCAN_CANCEL",
    RECIPE_SCAN_SCANNING = 703,
    RECIPE_SCAN_INCLUDE_NOT_LEARNED = 704,
    RECIPE_SCAN_INCLUDE_NOT_LEARNED_TOOLTIP = 705,
    RECIPE_SCAN_INCLUDE_SOULBOUND = 706,
    RECIPE_SCAN_INCLUDE_SOULBOUND_TOOLTIP = 707,
    RECIPE_SCAN_INCLUDE_GEAR = 708,
    RECIPE_SCAN_INCLUDE_GEAR_TOOLTIP = 709,
    RECIPE_SCAN_OPTIMIZE_TOOLS = 710,
    RECIPE_SCAN_OPTIMIZE_TOOLS_TOOLTIP = 711,
    RECIPE_SCAN_OPTIMIZE_TOOLS_WARNING = 712,
    RECIPE_SCAN_RECIPE_HEADER = 713,
    RECIPE_SCAN_CRAFTER_HEADER = "RECIPESCAN_CRAFTER_HEADER",
    RECIPE_SCAN_LEARNED_HEADER = 714,
    RECIPE_SCAN_RESULT_HEADER = "RECIPE_SCAN_RESULT_HEADER",
    RECIPE_SCAN_CONCENTRATION_VALUE_HEADER = "RECIPE_SCAN_CONCENTRATION_VALUE_HEADER",
    RECIPE_SCAN_CONCENTRATION_COST_HEADER = "RECIPE_SCAN_CONCENTRATION_COST_HEADER",
    RECIPE_SCAN_AVERAGE_PROFIT_HEADER = 717,
    RECIPE_SCAN_TOP_GEAR_HEADER = 718,
    RECIPE_SCAN_INV_AH_HEADER = 719,
    RECIPE_SCAN_SORT_BY_MARGIN = "RECIPESCAN_SORTBYMARGIN",
    RECIPE_SCAN_SORT_BY_MARGIN_TOOLTIP = "RECIPESCAN_SORTBYMARGIN_TOOLTIP",
    RECIPE_SCAN_USE_INSIGHT_CHECKBOX = "RECIPESCAN_USE_INSIGHT_CHECKBOX",
    RECIPE_SCAN_USE_INSIGHT_CHECKBOX_TOOLTIP = "RECIPESCAN_USE_INSIGHT_CHECKBOX_TOOLTIP",
    RECIPE_SCAN_ONLY_FAVORITES_CHECKBOX = "RECIPESCAN_ONLY_FAVORITES_CHECKBOX",
    RECIPE_SCAN_ONLY_FAVORITES_CHECKBOX_TOOLTIP = "RECIPESCAN_ONLY_FAVORITES_CHECKBOX_TOOLTIP",
    RECIPE_SCAN_EQUIPPED = "RECIPESCAN_EQUIPPED",
    RECIPE_SCAN_MODE_Q1 = "RECIPESCAN_MODE_Q1",
    RECIPE_SCAN_MODE_Q2 = "RECIPESCAN_MODE_Q2",
    RECIPE_SCAN_MODE_Q3 = "RECIPESCAN_MODE_Q3",
    RECIPE_SCAN_MODE_OPTIMIZE = "RECIPE_SCAN_MODE_OPTIMIZE",
    RECIPE_SCAN_SORT_MODE_PROFIT = "RECIPE_SCAN_SORT_MODE_PROFIT",
    RECIPE_SCAN_SORT_MODE_RELATIVE_PROFIT = "RECIPE_SCAN_SORT_MODE_RELATIVE_PROFIT",
    RECIPE_SCAN_SORT_MODE_CONCENTRATION_VALUE = "RECIPE_SCAN_SORT_MODE_CONCENTRATION_VALUE",
    RECIPE_SCAN_SORT_MODE_CONCENTRATION_COST = "RECIPE_SCAN_SORT_MODE_CONCENTRATION_COST",
    RECIPE_SCAN_EXPANSION_FILTER_BUTTON = "RECIPE_SCAN_EXPANSION_FILTER_BUTTON",
    RECIPE_SCAN_ALTPROFESSIONS_FILTER_BUTTON = "RECIPE_SCAN_ALTPROFESSIONS_FILTER_BUTTON",
    RECIPE_SCAN_CACHED_RECIPES_TOOLTIP = "RECIPE_SCAN_CACHED_RECIPES_TOOLTIP",
    RECIPE_SCAN_SCAN_ALL_BUTTON_READY = "RECIPE_SCAN_SCAN_ALL_BUTTON_READY",
    RECIPE_SCAN_SCAN_ALL_BUTTON_SCANNING = "RECIPE_SCAN_SCAN_ALL_BUTTON_SCANNING",
    RECIPE_SCAN_IMPORT_ALL_PROFESSIONS_CHECKBOX_LABEL = "RECIPE_SCAN_IMPORT_ALL_PROFESSIONS_CHECKBOX_LABEL",
    RECIPE_SCAN_IMPORT_ALL_PROFESSIONS_CHECKBOX_TOOLTIP = "RECIPE_SCAN_IMPORT_ALL_PROFESSIONS_CHECKBOX_TOOLTIP",
    RECIPE_SCAN_TAB_LABEL_SCAN = "RECIPE_SCAN_TAB_LABEL_SCAN",
    RECIPE_SCAN_TAB_LABEL_OPTIONS = "RECIPE_SCAN_TAB_LABEL_OPTIONS",

    TOP_GEAR_TITLE = 750,
    TOP_GEAR_AUTOMATIC = 751,
    TOP_GEAR_AUTOMATIC_TOOLTIP = 752,
    TOP_GEAR_SIMULATE = 753,
    TOP_GEAR_EQUIP = 754,
    TOP_GEAR_SIMULATE_QUALITY = 755,
    TOP_GEAR_SIMULATE_EQUIPPED = 756,
    TOP_GEAR_SIMULATE_PROFIT_DIFFERENCE = 757,
    TOP_GEAR_SIMULATE_NEW_MUTLICRAFT = 758,
    TOP_GEAR_SIMULATE_NEW_CRAFTING_SPEED = 759,
    TOP_GEAR_SIMULATE_NEW_RESOURCEFULNESS = 760,
    TOP_GEAR_SIMULATE_NEW_SKILL = 762,
    TOP_GEAR_SIMULATE_UNHANDLED = 763,
    TOP_GEAR_SIM_MODES_PROFIT = 764,
    TOP_GEAR_SIM_MODES_SKILL = 765,
    TOP_GEAR_SIM_MODES_MULTICRAFT = 767,
    TOP_GEAR_SIM_MODES_RESOURCEFULNESS = 768,
    TOP_GEAR_SIM_MODES_CRAFTING_SPEED = 769,

    SUPPORTERS_DESCRIPTION = "Supporters_1",
    SUPPORTERS_DESCRIPTION_2 = "Supporters_2",

    SUPPORTERS_DATE = "Supporters_Date",
    SUPPORTERS_SUPPORTER = "Supporters_Supporter",
    SUPPORTERS_TYPE = "Supporters_Type",
    SUPPORTERS_MESSAGE = "Supporters_Message",

    CUSTOMER_HISTORY_TITLE = 800,
    CUSTOMER_HISTORY_DROPDOWN_LABEL = 801,
    CUSTOMER_HISTORY_TOTAL_TIP = 802,
    CUSTOMER_HISTORY_FROM = 803,
    CUSTOMER_HISTORY_TO = 804,
    CUSTOMER_HISTORY_FOR = 805,
    CUSTOMER_HISTORY_CRAFT_FORMAT = 806,
    CUSTOMER_HISTORY_DELETE_BUTTON = 807,
    CUSTOMER_HISTORY_PURGE_DAYS_INPUT_LABEL = "CUSTOMER_HISTORY_PURGE_DAYS_INPUT_LABEL",
    CUSTOMER_HISTORY_PURGE_DAYS_INPUT_TOOLTIP = "CUSTOMER_HISTORY_PURGE_DAYS_INPUT_TOOLTIP",
    CUSTOMER_HISTORY_WHISPER_BUTTON_LABEL = "CUSTOMER_HISTORY_WHISPER_BUTTON_LABEL",
    CUSTOMER_HISTORY_PURGE_NO_TIP_LABEL = "CUSTOMER_HISTORY_PURGE_NO_TIP_LABEL",
    CUSTOMER_HISTORY_PURGE_ZERO_TIPS_CONFIRMATION_POPUP = "CUSTOMER_HISTORY_PURGE_ZERO_TIPS_CONFIRMATION_POPUP",
    CUSTOMER_HISTORY_DELETE_CUSTOMER_CONFIRMATION_POPUP = "CUSTOMER_HISTORY_DELETE_CUSTOMER_CONFIRMATION_POPUP",
    CUSTOMER_HISTORY_DELETE_CUSTOMER_POPUP_TITLE = "CUSTOMER_HISTORY_DELETE_CUSTOMER_POPUP_TITLE",
    CUSTOMER_HISTORY_PURGE_ZERO_TIPS_CONFIRMATION_POPUP_TITLE =
    "CUSTOMER_HISTORY_PURGE_ZERO_TIPS_CONFIRMATION_POPUP_TITLE",
    CUSTOMER_HISTORY_CUSTOMER_HEADER = "CUSTOMER_HISTORY_CUSTOMER_HEADER",
    CUSTOMER_HISTORY_TOTAL_TIP_HEADER = "CUSTOMER_HISTORY_TOTAL_TIP_HEADER",
    CUSTOMER_HISTORY_CRAFT_HISTORY_DATE_HEADER = "CUSTOMER_HISTORY_CRAFT_HISTORY_DATE_HEADER",
    CUSTOMER_HISTORY_CRAFT_HISTORY_RESULT_HEADER = "CUSTOMER_HISTORY_CRAFT_HISTORY_RESULT_HEADER",
    CUSTOMER_HISTORY_CRAFT_HISTORY_TIP_HEADER = "CUSTOMER_HISTORY_CRAFT_HISTORY_TIP_HEADER",
    CUSTOMER_HISTORY_CRAFT_HISTORY_CUSTOMER_REAGENTS_HEADER = "CUSTOMER_HISTORY_CRAFT_HISTORY_CUSTOMER_REAGENTS_HEADER",
    CUSTOMER_HISTORY_CRAFT_HISTORY_CUSTOMER_NOTE_HEADER = "CUSTOMER_HISTORY_CRAFT_HISTORY_CUSTOMER_NOTE_HEADER",

    CRAFT_QUEUE_TITLE = "CRAFT_QUEUE_TITLE",
    CRAFT_QUEUE_CRAFT_AMOUNT_LEFT_HEADER = "CRAFT_QUEUE_CRAFT_AMOUNT_LEFT_HEADER",
    CRAFT_QUEUE_CRAFT_PROFESSION_GEAR_HEADER = "CRAFT_QUEUE_CRAFT_PROFESSION_GEAR_HEADER",
    CRAFT_QUEUE_CRAFTING_COSTS_HEADER = "CRAFT_QUEUE_CRAFTING_COSTS_HEADER",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_GEAR = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_GEAR",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_NO_MATS = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_NO_MATS",
    CRAFT_QUEUE_ADD_OPEN_RECIPE_BUTTON_LABEL = "CRAFT_QUEUE_ADD_OPEN_RECIPE_BUTTON_LABEL",
    CRAFT_QUEUE_CLEAR_ALL_BUTTON_LABEL = "CRAFT_QUEUE_CLEAR_ALL_BUTTON_LABEL",
    CRAFT_QUEUE_IMPORT_RECIPE_SCAN_BUTTON_LABEL = "CRAFT_QUEUE_IMPORT_RECIPE_SCAN_BUTTON_LABEL",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_PROFESSION = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_PROFESSION",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_ON_COOLDOWN = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_ON_COOLDOWN",
    CRAFT_QUEUE_RECIPE_REQUIREMENTS_HEADER = "CRAFT_QUEUE_RECIPE_REQUIREMENTS_HEADER",
    CRAFT_QUEUE_CRAFT_NEXT_BUTTON_LABEL = "CRAFT_QUEUE_CRAFT_NEXT_BUTTON_LABEL",
    CRAFT_QUEUE_CRAFT_AVAILABLE_AMOUNT = "CRAFT_QUEUE_CRAFT_AVAILABLE_AMOUNT",
    CRAFTQUEUE_AUCTIONATOR_SHOPPING_LIST_BUTTON_LABEL = "CRAFTQUEUE_AUCTIONATOR_SHOPPING_LIST_BUTTON_LABEL",
    CRAFT_QUEUE_QUEUE_TAB_LABEL = "CRAFT_QUEUE_QUEUE_TAB_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_TAB_LABEL = "CRAFT_QUEUE_RESTOCK_OPTIONS_TAB_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_GENERAL_PROFIT_THRESHOLD_LABEL =
    "CRAFT_QUEUE_RESTOCK_OPTIONS_GENERAL_PROFIT_THRESHOLD_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_SALE_RATE_INPUT_LABEL = "CRAFT_QUEUE_RESTOCK_OPTIONS_SALE_RATE_INPUT_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_TSM_SALE_RATE_TOOLTIP = "CRAFT_QUEUE_RESTOCK_OPTIONS_TSM_SALE_RATE_TOOLTIP",
    CRAFT_QUEUE_RESTOCK_OPTIONS_AMOUNT_LABEL = "CRAFT_QUEUE_RESTOCK_OPTIONS_AMOUNT_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_RESTOCK_TOOLTIP = "CRAFT_QUEUE_RESTOCK_OPTIONS_RESTOCK_TOOLTIP",
    CRAFT_QUEUE_RESTOCK_OPTIONS_ENABLE_RECIPE_LABEL = "CRAFT_QUEUE_RESTOCK_OPTIONS_ENABLE_RECIPE_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_ENABLE_RECIPE_TOOLTIP = "CRAFT_QUEUE_RESTOCK_OPTIONS_ENABLE_RECIPE_TOOLTIP",
    CRAFT_QUEUE_RESTOCK_OPTIONS_GENERAL_OPTIONS_LABEL = "CRAFT_QUEUE_RESTOCK_OPTIONS_GENERAL_OPTIONS_LABEL",
    CRAFT_QUEUE_RESTOCK_OPTIONS_TSM_SALE_RATE_TOOLTIP_GENERAL =
    "CRAFT_QUEUE_RESTOCK_OPTIONS_TSM_SALE_RATE_TOOLTIP_GENERAL",
    CRAFT_QUEUE_TOTAL_PROFIT_LABEL = "CRAFT_QUEUE_TOTAL_PROFIT_LABEL",
    CRAFT_QUEUE_TOTAL_CRAFTING_COSTS_LABEL = "CRAFT_QUEUE_TOTAL_CRAFTING_COSTS_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_TITLE = "CRAFT_QUEUE_EDIT_RECIPE_TITLE",
    CRAFT_QUEUE_EDIT_RECIPE_NAME_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_NAME_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_REAGENTS_SELECT_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_REAGENTS_SELECT_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_OPTIONAL_REAGENTS_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_OPTIONAL_REAGENTS_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_FINISHING_REAGENTS_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_FINISHING_REAGENTS_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_PROFESSION_GEAR_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_PROFESSION_GEAR_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_OPTIMIZE_PROFIT_BUTTON = "CRAFT_QUEUE_EDIT_RECIPE_OPTIMIZE_PROFIT_BUTTON",
    CRAFT_QUEUE_EDIT_RECIPE_CRAFTING_COSTS_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_CRAFTING_COSTS_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_AVERAGE_PROFIT_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_AVERAGE_PROFIT_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_RESULTS_LABEL = "CRAFT_QUEUE_EDIT_RECIPE_RESULTS_LABEL",
    CRAFT_QUEUE_EDIT_RECIPE_CONCENTRATION_CHECKBOX = "CRAFT_QUEUE_EDIT_RECIPE_CONCENTRATION_CHECKBOX",
    CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_CRAFTER = "CRAFT_QUEUE_CRAFT_BUTTON_ROW_LABEL_WRONG_CRAFTER",
    CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_PER_CHARACTER_CHECKBOX =
    "CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_PER_CHARACTER_CHECKBOX",
    CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_PER_CHARACTER_CHECKBOX_TOOLTIP =
    "CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_PER_CHARACTER_CHECKBOX_TOOLTIP",
    CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_TARGET_MODE_CHECKBOX =
    "CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_TARGET_MODE_CHECKBOX",
    CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_TARGET_MODE_CHECKBOX_TOOLTIP =
    "CRAFT_QUEUE_AUCTIONATOR_SHOPPING_LIST_TARGET_MODE_CHECKBOX_TOOLTIP",
    CRAFT_QUEUE_FLASH_TASKBAR_OPTION_LABEL = "CRAFT_QUEUE_FLASH_TASKBAR_OPTION_LABEL",
    CRAFT_QUEUE_FLASH_TASKBAR_OPTION_TOOLTIP = "CRAFT_QUEUE_FLASH_TASKBAR_OPTION_TOOLTIP",
    CRAFT_QUEUE_UNSAVED_CHANGES_TOOLTIP = "CRAFT_QUEUE_UNSAVED_CHANGES_TOOLTIP",
    CRAFT_QUEUE_STATUSBAR_LEARNED = "CRAFT_QUEUE_STATUSBAR_LEARNED",
    CRAFT_QUEUE_STATUSBAR_COOLDOWN = "CRAFT_QUEUE_STATUSBAR_COOLDOWN",
    CRAFT_QUEUE_STATUSBAR_MATERIALS = "CRAFT_QUEUE_STATUSBAR_MATERIALS",
    CRAFT_QUEUE_STATUSBAR_GEAR = "CRAFT_QUEUE_STATUSBAR_GEAR",
    CRAFT_QUEUE_STATUSBAR_CRAFTER = "CRAFT_QUEUE_STATUSBAR_CRAFTER",
    CRAFT_QUEUE_STATUSBAR_PROFESSION = "CRAFT_QUEUE_STATUSBAR_PROFESSION",


    CRAFT_BUFFS_TITLE = "CRAFT_BUFFS_TITLE",
    CRAFT_BUFFS_SIMULATE_BUTTON = "CRAFT_BUFFS_SIMULATE_BUTTON",
    CRAFT_BUFF_CHEFS_HAT_TOOLTIP = "CRAFT_BUFF_CHEFS_HAT_TOOLTIP",

    COOLDOWNS_TITLE = "COOLDOWNS_TITLE",
    COOLDOWNS_CRAFTER_HEADER = "COOLDOWNS_CRAFTER_HEADER",
    COOLDOWNS_RECIPE_HEADER = "COOLDOWNS_RECIPE_HEADER",
    COOLDOWNS_CHARGES_HEADER = "COOLDOWNS_CHARGES_HEADER",
    COOLDOWNS_NEXT_HEADER = "COOLDOWNS_NEXT_HEADER",
    COOLDOWNS_ALL_HEADER = "COOLDOWNS_ALL_HEADER",

    CONCENTRATION_TRACKER_TITLE = "CONCENTRATION_TRACKER_TITLE",

    STATIC_POPUPS_YES = "STATIC_POPUPS_YES",
    STATIC_POPUPS_NO = "STATIC_POPUPS_NO",
}

---@type table<CraftSim.EXPANSION_IDS, Enum.Profession[]>
CraftSim.CONST.IMPLEMENTED_SPECIALIZATION_DATA =
{
    [CraftSim.CONST.EXPANSION_IDS.DRAGONFLIGHT] = {
        Enum.Profession.Alchemy,
        Enum.Profession.Blacksmithing,
        Enum.Profession.Enchanting,
        Enum.Profession.Engineering,
        Enum.Profession.Inscription,
        Enum.Profession.Jewelcrafting,
        Enum.Profession.Leatherworking,
        Enum.Profession.Tailoring,
    },
    [CraftSim.CONST.EXPANSION_IDS.THE_WAR_WITHIN] = {
        Enum.Profession.Alchemy,
        Enum.Profession.Blacksmithing,
        Enum.Profession.Enchanting,
        Enum.Profession.Engineering,
        Enum.Profession.Inscription,
        Enum.Profession.Jewelcrafting,
        Enum.Profession.Leatherworking,
        Enum.Profession.Tailoring,
    },
}

CraftSim.CONST.BASE_RECRAFT_RECIPE_IDS = {
    -- DF
    385304, -- Blacksmithing
    389195, -- Leatherworking
    389191, -- Enchanting
    389192, -- Engineering
    389193, -- Inscription
    389194, -- Jewelcrafting
    389195, -- Tailoring

}

CraftSim.CONST.REAGENT_ID_EXCEPTION_MAPPING = {
    [199345] = 200074, -- frosted rimefin tuna to rimefin tuna, due to frosted generating it, and rimefin tuna being soulbound
}

CraftSim.CONST.EXCEPTION_ORDER_ITEM_IDS = {
    [382363] = { 198236, 198237, 198238 }
}

CraftSim.CONST.SPECIAL_TOOL_STATS = {
    [191228] = { -- DF https://www.wowhead.com/beta/item=191228/black-dragon-touched-hammer
        ingenuityrefundincrease = 5
    },
    [224116] = { -- TWW https://www.wowhead.com/beta/item=224116/runed-null-stone-rod
        reduceconcentrationcost = 1
    },
}

CraftSim.CONST.ITEM_IDS = {
    OPTIONAL_REAGENTS = {
        ILLUSTRIOUS_INSIGHT = 191529,
        LESSER_ILLUSTRIOUS_INSIGHT = 191526,
    },
    PROFESSION_BAGS = {
        HIDESHAPERS_WORKBAG = 222861,          -- leatherworking reagents
        MAGICALLY_INFINITE_MESSENGER = 222862, -- ench shatter buff
        IGNITION_SATCHEL = 222860,             -- bs ignition buff
        CONCOCTORS_CLUTCH = 222859,            -- alchemy experiments
        DARKMOON_DUFFLE = 222864,              -- inscription darkmoon cards
        JEWELERS_PURSE = 222867,               -- Jewelcrafting crushing
        PRODIGYS_TOOLBOX = 222863,             -- Engineering piles of rusted scrap
        THE_SEVERED_SATCHEL = 224852,          -- Tailoring Unraveling
    },
    CURRENCY = {
        ARTISANS_ACUITY = 210814,
    },
}

CraftSim.CONST.AUCTIONATOR_SHOPPING_LIST_QUEUE_NAME = 'CraftSim CraftQueue'


CraftSim.CONST.ATLAS_TEXTURES = {
    TRADESKILL_ICON_ADD = 'tradeskills-icon-add',
    CRAFT_BUFF_ACTIVE = 'UI-QuestTracker-Tracker-Check',
    CRAFT_BUFF_NOT_ACTIVE = 'UI-QuestTracker-Objective-Fail',
    UPGRADE_ARROW = 'CovenantSanctum-Upgrade-Icon-Available',
    UPGRADE_ARROW_2 = 'loottoast-arrow-green',
}

CraftSim.CONST.CONCENTRATION_ICON = 5747318

---@type table<Enum.Profession, string>
CraftSim.CONST.PROFESSION_ICONS = {
    [Enum.Profession.Blacksmithing] = "Interface\\Icons\\ui_profession_blacksmithing",
    [Enum.Profession.Leatherworking] = "Interface\\Icons\\ui_profession_leatherworking",
    [Enum.Profession.Alchemy] = "Interface\\Icons\\ui_profession_alchemy",
    [Enum.Profession.Herbalism] = "Interface\\Icons\\ui_profession_herbalism",
    [Enum.Profession.Cooking] = "Interface\\Icons\\ui_profession_cooking",
    [Enum.Profession.Mining] = "Interface\\Icons\\ui_profession_mining",
    [Enum.Profession.Tailoring] = "Interface\\Icons\\ui_profession_tailoring",
    [Enum.Profession.Engineering] = "Interface\\Icons\\ui_profession_engineering",
    [Enum.Profession.Enchanting] = "Interface\\Icons\\ui_profession_enchanting",
    [Enum.Profession.Fishing] = "Interface\\Icons\\ui_profession_fishing",
    [Enum.Profession.Skinning] = "Interface\\Icons\\ui_profession_skinning",
    [Enum.Profession.Jewelcrafting] = "Interface\\Icons\\ui_profession_jewelcrafting",
    [Enum.Profession.Inscription] = "Interface\\Icons\\ui_profession_inscription",

}

---@type table<Enum.Profession, boolean>
CraftSim.CONST.GATHERING_PROFESSIONS = {
    [Enum.Profession.Herbalism] = true,
    [Enum.Profession.Mining] = true,
    [Enum.Profession.Fishing] = true,
    [Enum.Profession.Skinning] = true,
}

---@enum CraftSim.SHARED_PROFESSION_COOLDOWNS
CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS = {
    DF_ALCHEMY_TRANSMUTATIONS = "DF_ALCHEMY_TRANSMUTATIONS",
}

CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS_RECIPE_ID_MAP = {
    [405847] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- DRACOTHYST
    [370714] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- DECAY
    [370715] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- ORDER_TO_ELEMENTS
    [370711] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- AWAKENED_AIR
    [370710] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- AWAKENED_EARTH
    [370707] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- AWAKENED_FIRE
    [370708] = CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS, -- AWAKENED_FROST
}

--- used for the cooldown module tooltip to list all connected recipes
---@type table<CraftSim.SHARED_PROFESSION_COOLDOWNS, RecipeID[]>
CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS_RECIPES = {
    [CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.DF_ALCHEMY_TRANSMUTATIONS] = {
        405847, -- DRACOTHYST
        370714, -- DECAY
        370715, -- ORDER_TO_ELEMENTS
        370711, -- AWAKENED_AIR
        370710, -- AWAKENED_EARTH
        370707, -- AWAKENED_FIRE
        370708, -- AWAKENED_FROST
    },
}

---@type table <CraftSim.SHARED_PROFESSION_COOLDOWNS, CraftSim.LOCALIZATION_IDS>
CraftSim.CONST.SHARED_PROFESSION_COOLDOWNS.TRANSLATION_IDS = {
    DF_ALCHEMY_TRANSMUTATIONS = CraftSim.CONST.TEXT.DF_ALCHEMY_TRANSMUTATIONS,
}

CraftSim.CONST.CRAFT_QUEUE_STATUS_TEXTURES = {
    LEARNED = {
        isAtlas = true,
        texture = "Profession",
        x = 25,
        y = 25,
    },
    TOOLS = {
        isAtlas = true,
        texture = "Professions-Crafting-Orders-Icon",
        x = 25,
        y = 25,
    },
    COOLDOWN = {
        isAtlas = true,
        texture = "ChromieTime-32x32",
        x = 25,
        y = 25,
    },
    REAGENTS = {
        isAtlas = true,
        texture = "Banker",
        x = 25,
        y = 25,
    },
    PROFESSION = {
        isAtlas = true,
        texture = "mechagon-projects",
        x = 25,
        y = 25,
    },
    CRAFTER = {
        isAtlas = true,
        texture = "UI-ChatIcon-App",
        x = 25,
        y = 25,
    },
}
